%define name	 kmess
%define version	 2.0.6.2
%define release	 %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/KDE4
License:	GPLv2+
Source0:	%{name}-%{version}.tar.xz
Patch0:		kmess-2.0.0-linkage.patch
URL:		http://kmess.org/
BuildRequires:	kdelibs-devel
BuildRequires:  kde-baseapps-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	qca2
BuildRequires:	%{_lib}qca2-devel
BuildRequires:	libxscrnsaver1-devel
Requires:	qca2
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	With KMess, chatting with friends using Live Messenger has never been so good
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%{name} < %version
Requires:	%{_lib}sasl2
Requires:	%{_lib}sasl2-plug-digestmd5
Requires:	%{_lib}sasl2-plug-anonymous
Requires:	%{_lib}sasl2-plug-crammd5
Requires:	%{_lib}sasl2-plug-gssapi
Requires:	%{_lib}sasl2-plug-ldapdb
Requires:	%{_lib}sasl2-plug-login
Requires:	%{_lib}sasl2-plug-ntlm
Requires:	%{_lib}sasl2-plug-otp
Requires:	%{_lib}sasl2-plug-plain
Requires:	%{_lib}sasl2-plug-sasldb
Requires:	%{_lib}sasl2-plug-sql

%description
KMess is an easy-to-use MSN Messenger client for KDE.

    * Display picture transfers
    * Fast file transfers
    * Custom emoticons, nudges and winks
    * Offline messaging and chatting while invisible
    * Rich and colorful chat styles and logs
    * Chat logging and logs browsing
    * Messenger Plus Live text coloring and formatting
    * Live Mail notifications
    * Block annoying custom emoticons
    * Connectivity from behind firewalls and proxies
    * Good-looking and friendly user interface

%description -l de
KMess ist eine einfach zu bedienende MSN-Messenger-Client für KDE. Installieren Sie es
wenn Sie ein MSN-Messenger-Client. 

%description -l fr
KMess est un outil facile à utiliser client MSN Messenger pour KDE. Installez-le
si vous désirez un client MSN Messenger.

%description -l es
KMess es un fácil de utilizar MSN Messenger para KDE. Instálalo
si quieres un cliente de MSN Messenger.

%description -l pl
Kmess jest łatwy w obsłudze klienta MSN Messenger dla KDE. Install it
jeśli chcesz klienta MSN Messenger.

%description -l sr
Кмесс је једноставан за употребу МСН-Мессенгер за клијент за КДЕ. Инсталирајте га
Ако желите Мессенгер клијента.

%description -l nl
Kmess is een makkelijk te MSN Messenger-client-gebruik voor KDE. Installeer het
als u een MSN Messenger-client.

%files 
%defattr(-,root,root)
%doc AUTHORS INSTALL TODO README ChangeLog
%{_kde_bindir}/%{name}
%{_kde_libdir}/kde4/*.so
%{_kde_services}/*.desktop
%{_kde_datadir}/apps/%{name}
%{_kde_configdir}/*.knsrc
%{_kde_datadir}/applications/kde4/kmess.desktop
%{_kde_iconsdir}/*/*/apps/%{name}.*
%dir %{_kde_datadir}/emoticons/KMess-new
%{_kde_datadir}/emoticons/KMess-new/*.png
%{_kde_datadir}/emoticons/KMess-new/emoticons.xml
%{_kde_datadir}/sounds/%{name}*.ogg
%_kde_datadir/locale/*/LC_MESSAGES/*.mo
%_kde_datadir/doc/HTML/*/kmess/*
#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%cmake_kde4
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 12 2016 piratejumbo <beppejumbo72@gmail.com> 1.0.4-1uplos2016
- rebuild

* Thu Apr 12 2012 Neal <nealbrks0 at gmail dot com> 2.0.6.2-1pclos2012
- process

* Sat Mar 24 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 2.0.6.2-1_archie_2012
- 2.0.6.2

* Mon Feb 21 2011 Texstar <texstar at gmail.com> 2.0.6.1-1pclos2011
- 2.0.6.1

* Fri Feb 11 2011 Texstar <texstar at gmail.com> 2.0.6-1pclos2011
- 2.0.6

* Sun Nov 07 2010 Texstar <texstar at gmail.com> 2.0.5-1pclos2010
- 2.0.5

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 2.0.4-4pclos2010
- rebuild for 4.5.1

* Tue Aug 10 2010 Texstar <texstar at gmail.com> 2.0.4-3pclos2010
- add authentication plugins dependency

* Sat Aug 07 2010 Texstar <texstar at gmail.com> 2.0.4-2pclos2010
- rebuild

* Tue Jul 27 2010 Chomp <chomptheman@gmail.com> 2.0.4-1pclos2010
- 2.0.4

* Sun Mar 14 2010 Texstar <texstar at gmail.com> 2.0.3-1pclos2010
- 2.0.3

* Tue Mar 09 2010 Texstar <texstar at gmail.com> 2.0.2-3pclos2010
- rebuild

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 2.0.2-2pclos2010
- rebuild

* Sun Dec 07 2009 Texstar <texstar at gmail.com> 2.0.2-1pclos2010
- 2.0.2

* Mon Dec 01 2009 Texstar <texstar at gmail.com> 2.0.1-1pclos2010
- 2.0.1

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 2.0.0-2pclos2010
- rebuild for 2010

* Sun Jul 26 2009 johnnyblack <johnnyblack at inbox.com> 2.0.0-1pclos2009
- update

* Tue Jul 07 2009 johnnyblack <johnnyblack at inbox.com> 2.0.0-0.svb-4770.1pclos2009
- create

